org.python.modules._weakref

## Class WeakrefModule

- java.lang.Object
- - org.python.modules._weakref.WeakrefModule

- All Implemented Interfaces:
    ClassDictInit

      public class WeakrefModule
      extends java.lang.Object
      implements ClassDictInit

  The _weakref module.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyString` | `__doc__`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeakrefModule()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)`
    `static int` | `getweakrefcount(PyObject object)`
    `static PyList` | `getweakrefs(PyObject object)`
    `static ProxyType` | `proxy(PyObject object)`
    `static ProxyType` | `proxy(PyObject object, PyObject callback)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __doc__

          public static final PyString __doc__

  - ### Constructor Detail

    - #### WeakrefModule

          public WeakrefModule()

  - ### Method Detail

    - #### classDictInit

          public static void classDictInit(PyObject dict)

    - #### proxy

          public static ProxyType proxy(PyObject object)

    - #### proxy

          public static ProxyType proxy(PyObject object,
                                        PyObject callback)

    - #### getweakrefcount

          public static int getweakrefcount(PyObject object)

    - #### getweakrefs

          public static PyList getweakrefs(PyObject object)

Jython homepage